From 7f3a341dcd13a0271016922da899123fc5eb8892 Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Tue, 26 Mar 2024 11:35:22 +0200
Subject: [PATCH v9.heikki 4/9] Cleanup boilerplate file header comments

---
 src/backend/storage/aio/streaming_read.c |  9 +++++----
 src/include/storage/streaming_read.h     | 15 ++++++++++++++-
 2 files changed, 19 insertions(+), 5 deletions(-)

diff --git a/src/backend/storage/aio/streaming_read.c b/src/backend/storage/aio/streaming_read.c
index 760a231500a..e530a6da0ed 100644
--- a/src/backend/storage/aio/streaming_read.c
+++ b/src/backend/storage/aio/streaming_read.c
@@ -3,9 +3,6 @@
  * streaming_read.c
  *	  Mechanism for buffer access with look-ahead
  *
- * Portions Copyright (c) 2024, PostgreSQL Global Development Group
- * Portions Copyright (c) 1994, Regents of the University of California
- *
  * Code that needs to access relation data typically pins blocks one at a
  * time, often in a predictable order that might be sequential or data-driven.
  * Calling the simple ReadBuffer() function for each block is inefficient,
@@ -77,8 +74,12 @@
  * the range 42..44 requires an I/O wait before its buffers are returned, as
  * does block 60.
  *
+ *
+ * Portions Copyright (c) 2024, PostgreSQL Global Development Group
+ * Portions Copyright (c) 1994, Regents of the University of California
+ *
  * IDENTIFICATION
- *	  src/backend/storage/storage/aio/streaming_read.c
+ *	  src/backend/storage/aio/streaming_read.c
  *
  *-------------------------------------------------------------------------
  */
diff --git a/src/include/storage/streaming_read.h b/src/include/storage/streaming_read.h
index 7991402631a..f0ce3e45956 100644
--- a/src/include/storage/streaming_read.h
+++ b/src/include/storage/streaming_read.h
@@ -1,3 +1,16 @@
+/*-------------------------------------------------------------------------
+ *
+ * streaming_read.h
+ *	  Mechanism for buffer access with look-ahead
+ *
+ *
+ * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
+ * Portions Copyright (c) 1994, Regents of the University of California
+ *
+ * src/include/storage/streaming_read.h
+ *
+ *-------------------------------------------------------------------------
+ */
 #ifndef STREAMING_READ_H
 #define STREAMING_READ_H
 
@@ -47,4 +60,4 @@ extern StreamingRead *streaming_read_buffer_begin(int flags,
 extern Buffer streaming_read_buffer_next(StreamingRead *stream, void **per_buffer_private);
 extern void streaming_read_buffer_end(StreamingRead *stream);
 
-#endif
+#endif							/* STREAMING_READ_H */
-- 
2.39.2

